commit: 64337ca2802aabe3faf531ec6fe536b610325d54
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 2 22:47:58 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Feb 2 23:21:00 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64337ca2
dev-python/google-api-core: Bump to 2.5.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/google-api-core/Manifest | 1 +
.../google-api-core/google-api-core-2.5.0.ebuild | 61 ++++++++++++++++++++++
2 files changed, 62 insertions(+)
diff --git a/dev-python/google-api-core/Manifest
b/dev-python/google-api-core/Manifest
index 5395a2279f24..263698e4ec8a 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1 +1,2 @@
DIST google-api-core-2.3.1.tar.gz 156495 BLAKE2B
fdc7f7d8457b96947181eee9992c5e51bbd18f9740a0415a32d4d0f45ade9c0c784e01f0aa78fe0dbbf3717ee860e78d6b4d1c5f154361afbf919abe033e5380
SHA512
ab1c333727e666f920d81186e6213d440052021d952efcb47eac487d10ab33a2e1116278925e54bfb3468de70c18837a0e241ba3426af09728ea59a725789a29
+DIST google-api-core-2.5.0.tar.gz 160336 BLAKE2B
5a3050dcb2e58c068c67cd6263b297ea84e4a47784c750e7ed87077bf46314730698eda2eaa8305a99a55b539b8886dfbbeeb9dc9838748fa941db6785212f36
SHA512
92b570195db21dded50b220e350e518c13101ab3e247bcbb3d3f5701e722c6dc81312443889360fdef1485edf1d5ef486bfeecf56092844cea81b61c7c527728
diff --git a/dev-python/google-api-core/google-api-core-2.5.0.ebuild
b/dev-python/google-api-core/google-api-core-2.5.0.ebuild
new file mode 100644
index 000000000000..32405aec83ad
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.5.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html"
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+"
+# grpcio support is broken if grpcio-status is not installed,
+# and we do not package the latter
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/proto-plus[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # failing due to missing grpcio-status
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_unary_errors
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_raised
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_read
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_aiter
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_write
+ tests/unit/test_grpc_helpers.py::test_wrap_unary_errors
+
tests/unit/test_grpc_helpers.py::Test_StreamingResponseIterator::test___next___w_rpc_error
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_invocation
+
tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_iterator_initialization
+
tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_during_iteration
+ # TODO
+ tests/unit/test_operation.py::test_exception_with_error_code
+)
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}